Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.lwjgl.devil
Class IL

    java.lang.Object
      org.lwjgl.devil.IL

    public class IL

extends java.lang.Object

The core DevIL API.

Version:
  $Revision: 2694 $ $Id: IL.java 2694 2006-12-12 21:44:46 +0000 (ti, 12 dec 2006) matzon $
Author:
  captainjester , Brian Matzon

Field Summary
`protected static boolean` | `created` Have we been created?
`static int` | `IL_ACTIVE_IMAGE`
`static int` | `IL_ACTIVE_LAYER`
`static int` | `IL_ACTIVE_MIPMAP`
`static int` | `IL_ALL_ATTRIB_BITS`
`static int` | `IL_BAD_DIMENSIONS`
`static int` | `IL_BGR`
`static int` | `IL_BGRA`
`static int` | `IL_BMP`
`static int` | `IL_BMP_RLE`
`static int` | `IL_BYTE`
`static int` | `IL_CHEAD`
`static int` | `IL_CHEAD_HEADER_STRING`
`static int` | `IL_COLOR_INDEX`
`static int` | `IL_COLOUR_INDEX`
`static int` | `IL_COMPRESS_BIT`
`static int` | `IL_COMPRESS_LZO`
`static int` | `IL_COMPRESS_MODE`
`static int` | `IL_COMPRESS_NONE`
`static int` | `IL_COMPRESS_RLE`
`static int` | `IL_COMPRESS_ZLIB`
`static int` | `IL_COMPRESSION_HINT`
`static int` | `IL_CONV_PAL`
`static int` | `IL_COULD_NOT_OPEN_FILE`
`static int` | `IL_CUBEMAP_NEGATIVEX`
`static int` | `IL_CUBEMAP_NEGATIVEY`
`static int` | `IL_CUBEMAP_NEGATIVEZ`
`static int` | `IL_CUBEMAP_POSITIVEX`
`static int` | `IL_CUBEMAP_POSITIVEY`
`static int` | `IL_CUBEMAP_POSITIVEZ`
`static int` | `IL_CUR_IMAGE`
`static int` | `IL_CUT`
`static int` | `IL_DCX`
`static int` | `IL_DDS`
`static int` | `IL_DEFAULT_ON_FAIL`
`static int` | `IL_DONT_CARE`
`static int` | `IL_DOOM`
`static int` | `IL_DOOM_FLAT`
`static int` | `IL_DOUBLE`
`static int` | `IL_DXT_NO_COMP`
`static int` | `IL_DXT1`
`static int` | `IL_DXT2`
`static int` | `IL_DXT3`
`static int` | `IL_DXT4`
`static int` | `IL_DXT5`
`static int` | `IL_DXTC_DATA_FORMAT`
`static int` | `IL_DXTC_FORMAT`
`static int` | `IL_EOF`
`static int` | `IL_EXIF`
`static int` | `IL_FALSE`
`static int` | `IL_FASTEST`
`static int` | `IL_FILE_ALREADY_EXISTS`
`static int` | `IL_FILE_BIT`
`static int` | `IL_FILE_MODE`
`static int` | `IL_FILE_OVERWRITE`
`static int` | `IL_FILE_READ_ERROR`
`static int` | `IL_FLOAT`
`static int` | `IL_FORMAT_BIT`
`static int` | `IL_FORMAT_MODE`
`static int` | `IL_FORMAT_NOT_SUPPORTED`
`static int` | `IL_FORMAT_SET`
`static int` | `IL_FORMAT_SPECIFIC_BIT`
`static int` | `IL_GIF`
`static int` | `IL_ICO`
`static int` | `IL_ILLEGAL_FILE_VALUE`
`static int` | `IL_ILLEGAL_OPERATION`
`static int` | `IL_IMAGE_BITS_PER_PIXEL`
`static int` | `IL_IMAGE_BPC`
`static int` | `IL_IMAGE_BPP`
`static int` | `IL_IMAGE_BYTES_PER_PIXEL`
`static int` | `IL_IMAGE_CUBEFLAGS`
`static int` | `IL_IMAGE_DEPTH`
`static int` | `IL_IMAGE_DURATION`
`static int` | `IL_IMAGE_FORMAT`
`static int` | `IL_IMAGE_HEIGHT`
`static int` | `IL_IMAGE_OFFX`
`static int` | `IL_IMAGE_OFFY`
`static int` | `IL_IMAGE_PLANESIZE`
`static int` | `IL_IMAGE_SIZE_OF_DATA`
`static int` | `IL_IMAGE_TYPE`
`static int` | `IL_IMAGE_WIDTH`
`static int` | `IL_INT`
`static int` | `IL_INTERLACE_MODE`
`static int` | `IL_INTERNAL_ERROR`
`static int` | `IL_INVALID_CONVERSION`
`static int` | `IL_INVALID_ENUM`
`static int` | `IL_INVALID_EXTENSION`
`static int` | `IL_INVALID_FILE_HEADER`
`static int` | `IL_INVALID_PARAM`
`static int` | `IL_INVALID_VALUE`
`static int` | `IL_JASC_PAL`
`static int` | `IL_JNG`
`static int` | `IL_JPG`
`static int` | `IL_JPG_QUALITY`
`static int` | `IL_JPG_SAVE_FORMAT`
`static int` | `IL_KEEP_DXTC_DATA`
`static int` | `IL_LBM`
`static int` | `IL_LESS_MEM`
`static int` | `IL_LIB_GIF_ERROR`
`static int` | `IL_LIB_JPEG_ERROR`
`static int` | `IL_LIB_MNG_ERROR`
`static int` | `IL_LIB_PNG_ERROR`
`static int` | `IL_LIB_TIFF_ERROR`
`static int` | `IL_LIF`
`static int` | `IL_LOAD_EXT`
`static int` | `IL_LOADFAIL_BIT`
`static int` | `IL_LUMINANCE`
`static int` | `IL_MDL`
`static int` | `IL_MEM_SPEED_HINT`
`static int` | `IL_MNG`
`static int` | `IL_NEU_QUANT`
`static int` | `IL_NEU_QUANT_SAMPLE`
`static int` | `IL_NO_COMPRESSION`
`static int` | `IL_NO_ERROR`
`static int` | `IL_NUM_IMAGES`
`static int` | `IL_NUM_LAYERS`
`static int` | `IL_NUM_MIPMAPS`
`static int` | `IL_OIL`
`static int` | `IL_ORIGIN_BIT`
`static int` | `IL_ORIGIN_LOWER_LEFT`
`static int` | `IL_ORIGIN_MODE`
`static int` | `IL_ORIGIN_SET`
`static int` | `IL_ORIGIN_UPPER_LEFT`
`static int` | `IL_OUT_FORMAT_SAME`
`static int` | `IL_OUT_OF_MEMORY`
`static int` | `IL_PAL_BGR24`
`static int` | `IL_PAL_BGR32`
`static int` | `IL_PAL_BGRA32`
`static int` | `IL_PAL_BIT`
`static int` | `IL_PAL_NONE`
`static int` | `IL_PAL_RGB24`
`static int` | `IL_PAL_RGB32`
`static int` | `IL_PAL_RGBA32`
`static int` | `IL_PALETTE_BASE_TYPE`
`static int` | `IL_PALETTE_BPP`
`static int` | `IL_PALETTE_NUM_COLS`
`static int` | `IL_PALETTE_SIZE`
`static int` | `IL_PALETTE_TYPE`
`static int` | `IL_PCD`
`static int` | `IL_PCD_PICNUM`
`static int` | `IL_PCX`
`static int` | `IL_PIC`
`static int` | `IL_PIX`
`static int` | `IL_PNG`
`static int` | `IL_PNG_AUTHNAME_STRING`
`static int` | `IL_PNG_DESCRIPTION_STRING`
`static int` | `IL_PNG_INTERLACE`
`static int` | `IL_PNG_TITLE_STRING`
`static int` | `IL_PNM`
`static int` | `IL_PSD`
`static int` | `IL_PSP`
`static int` | `IL_PXR`
`static int` | `IL_QUANTIZATION_MODE`
`static int` | `IL_RAW`
`static int` | `IL_RGB`
`static int` | `IL_RGBA`
`static int` | `IL_SAVE_EXT`
`static int` | `IL_SAVE_INTERLACED`
`static int` | `IL_SEEK_CUR`
`static int` | `IL_SEEK_END`
`static int` | `IL_SEEK_SET`
`static int` | `IL_SGI`
`static int` | `IL_SGI_RLE`
`static int` | `IL_SHORT`
`static int` | `IL_STACK_OVERFLOW`
`static int` | `IL_STACK_UNDERFLOW`
`static int` | `IL_SUB_LAYER`
`static int` | `IL_SUB_MIPMAP`
`static int` | `IL_SUB_NEXT`
`static int` | `IL_TGA`
`static int` | `IL_TGA_AUTHCOMMENT_STRING`
`static int` | `IL_TGA_AUTHNAME_STRING`
`static int` | `IL_TGA_CREATE_STAMP`
`static int` | `IL_TGA_ID_STRING`
`static int` | `IL_TGA_RLE`
`static int` | `IL_TIF`
`static int` | `IL_TIF_AUTHNAME_STRING`
`static int` | `IL_TIF_DESCRIPTION_STRING`
`static int` | `IL_TIF_DOCUMENTNAME_STRING`
`static int` | `IL_TIF_HOSTCOMPUTER_STRING`
`static int` | `IL_TRUE`
`static int` | `IL_TYPE_BIT`
`static int` | `IL_TYPE_MODE`
`static int` | `IL_TYPE_SET`
`static int` | `IL_TYPE_UNKNOWN`
`static int` | `IL_UNKNOWN_ERROR`
`static int` | `IL_UNSIGNED_BYTE`
`static int` | `IL_UNSIGNED_INT`
`static int` | `IL_UNSIGNED_SHORT`
`static int` | `IL_USE_COMPRESSION`
`static int` | `IL_USE_KEY_COLOR`
`static int` | `IL_USE_KEY_COLOUR`
`static int` | `IL_VENDOR`
`static int` | `IL_VERSION_NUM`
`static int` | `IL_WAL`
`static int` | `IL_WU_QUANT`
`static int` | `IL_XPM`

Constructor Summary
`IL()`

Method Summary
`static void` | `create()` Creates a new instance of IL.
`static void` | `destroy()` Exit cleanly by calling destroy.
`static java.lang.String` | `getVersion()` Return the version of the DevIL-LWJGL binding as a String.
`static boolean` | `ilActiveImage(int Number)`
`static boolean` | `ilActiveLayer(int Number)`
`static boolean` | `ilActiveMipmap(int Number)`
`static boolean` | `ilApplyPal(java.lang.String FileName)`
`static boolean` | `ilApplyProfile(java.lang.String InProfile, java.lang.String OutProfile)`
`static void` | `ilBindImage(int image)`
`static boolean` | `ilBlit(int Source, int DestX, int DestY, int DestZ, int SrcX, int SrcY, int SrcZ, int Width, int Height, int Depth)`
`static void` | `ilClearColour(float Red, float Green, float Blue, float Alpha)`
`static boolean` | `ilClearImage()`
`static int` | `ilCloneCurImage()`
`static boolean` | `ilCompressFunc(int Mode)`
`static boolean` | `ilConvertImage(int DestFormat, int DestType)`
`static boolean` | `ilConvertPal(int DestFormat)`
`static boolean` | `ilCopyImage(int Src)`
`static int` | `ilCopyPixels(int XOff, int YOff, int ZOff, int Width, int Height, int Depth, int Format, int Type, java.nio.ByteBuffer Data)`
`static int` | `ilCreateSubImage(int Type, int Num)`
`static boolean` | `ilDefaultImage()`
`static void` | `ilDeleteImages(java.nio.IntBuffer images)`
`static boolean` | `ilDisable(int Mode)`
`static boolean` | `ilEnable(int Mode)`
`static boolean` | `ilFormatFunc(int Mode)`
`static void` | `ilGenImages(java.nio.IntBuffer images)`
`static java.nio.ByteBuffer` | `ilGetAlpha(int Type)`
`static boolean` | `ilGetBoolean(int Mode)`
`static void` | `ilGetBooleanv(int mode, java.nio.ByteBuffer param)`
`static java.nio.ByteBuffer` | `ilGetData()`
`static int` | `ilGetError()`
`static int` | `ilGetInteger(int mode)`
`static void` | `ilGetIntegerv(int mode, java.nio.IntBuffer param)`
`static int` | `ilGetLumpPos()`
`static java.nio.ByteBuffer` | `ilGetPalette()`
`static java.lang.String` | `ilGetString(int StringName)`
`static int` | `ilGetType(java.lang.String extension)` Determines the IL type for file passed
`static void` | `ilHint(int Target, int Mode)`
`static boolean` | `ilIsDisabled(int Mode)`
`static boolean` | `ilIsEnabled(int Mode)`
`static boolean` | `ilIsImage(int Image)`
`static boolean` | `ilIsValid(int Type, java.lang.String FileName)`
`static boolean` | `ilIsValidL(int Type, java.nio.ByteBuffer Lump)`
`static void` | `ilKeyColour(float Red, float Green, float Blue, float Alpha)`
`static boolean` | `ilLoad(int Type, java.lang.String FileName)`
`static boolean` | `ilLoadData(java.lang.String FileName, int Width, int Height, int Depth, byte Bpp)`
`static boolean` | `ilLoadDataL(java.nio.ByteBuffer Lump, int Size, int Width, int Height, int Depth, byte Bpp)`
`static boolean` | `ilLoadFromStream(java.io.InputStream stream, int type)` Reads an image from an inputstream
`static boolean` | `ilLoadFromURL(java.net.URL url)` Loads an image from the specified url
`static boolean` | `ilLoadImage(java.lang.String fileName)`
`static boolean` | `ilLoadL(int Type, java.nio.ByteBuffer Lump)`
`static boolean` | `ilLoadPal(java.lang.String FileName)`
`static void` | `ilModAlpha(int AlphaValue)`
`static boolean` | `ilOriginFunc(int Mode)`
`static boolean` | `ilOverlayImage(int Source, int XCoord, int YCoord, int ZCoord)`
`static void` | `ilPopAttrib()`
`static void` | `ilPushAttrib(int Bits)`
`static boolean` | `ilRemoveLoad(java.lang.String Ext)`
`static boolean` | `ilRemoveSave(java.lang.String Ext)`
`static void` | `ilResetMemory()`
`static void` | `ilResetRead()`
`static void` | `ilResetWrite()`
`static boolean` | `ilSave(int Type, java.lang.String FileName)`
`static boolean` | `ilSaveData(java.lang.String FileName)`
`static boolean` | `ilSaveImage(java.lang.String FileName)`
`static int` | `ilSaveL(int Type, java.nio.ByteBuffer Lump)`
`static boolean` | `ilSavePal(java.lang.String FileName)`
`static void` | `ilSetAlpha(int AlphaValue)`
`static boolean` | `ilSetData(java.nio.ByteBuffer Data)`
`static boolean` | `ilSetDuration(int Duration)`
`static void` | `ilSetInteger(int Mode, int Param)`
`static void` | `ilSetPixels(int XOff, int YOff, int ZOff, int Width, int Height, int Depth, int Format, int Type, java.nio.ByteBuffer Data)`
`static void` | `ilSetString(int Mode, java.lang.String string)`
`static void` | `ilShutDown()`
`static boolean` | `ilTexImage(int Width, int Height, int Depth, byte Bpp, int Format, int Type, java.nio.ByteBuffer Data)`
`static boolean` | `ilTypeFunc(int Mode)`
`static boolean` | `isCreated()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### IL_FALSE

    public static final int IL_FALSE

See Also:
  Constant Field Values

### IL_TRUE

    public static final int IL_TRUE

See Also:
  Constant Field Values

### IL_COLOUR_INDEX

    public static final int IL_COLOUR_INDEX

See Also:
  Constant Field Values

### IL_COLOR_INDEX

    public static final int IL_COLOR_INDEX

See Also:
  Constant Field Values

### IL_RGB

    public static final int IL_RGB

See Also:
  Constant Field Values

### IL_RGBA

    public static final int IL_RGBA

See Also:
  Constant Field Values

### IL_BGR

    public static final int IL_BGR

See Also:
  Constant Field Values

### IL_BGRA

    public static final int IL_BGRA

See Also:
  Constant Field Values

### IL_LUMINANCE

    public static final int IL_LUMINANCE

See Also:
  Constant Field Values

### IL_BYTE

    public static final int IL_BYTE

See Also:
  Constant Field Values

### IL_UNSIGNED_BYTE

    public static final int IL_UNSIGNED_BYTE

See Also:
  Constant Field Values

### IL_SHORT

    public static final int IL_SHORT

See Also:
  Constant Field Values

### IL_UNSIGNED_SHORT

    public static final int IL_UNSIGNED_SHORT

See Also:
  Constant Field Values

### IL_INT

    public static final int IL_INT

See Also:
  Constant Field Values

### IL_UNSIGNED_INT

    public static final int IL_UNSIGNED_INT

See Also:
  Constant Field Values

### IL_FLOAT

    public static final int IL_FLOAT

See Also:
  Constant Field Values

### IL_DOUBLE

    public static final int IL_DOUBLE

See Also:
  Constant Field Values

### IL_VENDOR

    public static final int IL_VENDOR

See Also:
  Constant Field Values

### IL_LOAD_EXT

    public static final int IL_LOAD_EXT

See Also:
  Constant Field Values

### IL_SAVE_EXT

    public static final int IL_SAVE_EXT

See Also:
  Constant Field Values

### IL_ORIGIN_BIT

    public static final int IL_ORIGIN_BIT

See Also:
  Constant Field Values

### IL_FILE_BIT

    public static final int IL_FILE_BIT

See Also:
  Constant Field Values

### IL_PAL_BIT

    public static final int IL_PAL_BIT

See Also:
  Constant Field Values

### IL_FORMAT_BIT

    public static final int IL_FORMAT_BIT

See Also:
  Constant Field Values

### IL_TYPE_BIT

    public static final int IL_TYPE_BIT

See Also:
  Constant Field Values

### IL_COMPRESS_BIT

    public static final int IL_COMPRESS_BIT

See Also:
  Constant Field Values

### IL_LOADFAIL_BIT

    public static final int IL_LOADFAIL_BIT

See Also:
  Constant Field Values

### IL_FORMAT_SPECIFIC_BIT

    public static final int IL_FORMAT_SPECIFIC_BIT

See Also:
  Constant Field Values

### IL_ALL_ATTRIB_BITS

    public static final int IL_ALL_ATTRIB_BITS

See Also:
  Constant Field Values

### IL_PAL_NONE

    public static final int IL_PAL_NONE

See Also:
  Constant Field Values

### IL_PAL_RGB24

    public static final int IL_PAL_RGB24

See Also:
  Constant Field Values

### IL_PAL_RGB32

    public static final int IL_PAL_RGB32

See Also:
  Constant Field Values

### IL_PAL_RGBA32

    public static final int IL_PAL_RGBA32

See Also:
  Constant Field Values

### IL_PAL_BGR24

    public static final int IL_PAL_BGR24

See Also:
  Constant Field Values

### IL_PAL_BGR32

    public static final int IL_PAL_BGR32

See Also:
  Constant Field Values

### IL_PAL_BGRA32

    public static final int IL_PAL_BGRA32

See Also:
  Constant Field Values

### IL_TYPE_UNKNOWN

    public static final int IL_TYPE_UNKNOWN

See Also:
  Constant Field Values

### IL_BMP

    public static final int IL_BMP

See Also:
  Constant Field Values

### IL_CUT

    public static final int IL_CUT

See Also:
  Constant Field Values

### IL_DOOM

    public static final int IL_DOOM

See Also:
  Constant Field Values

### IL_DOOM_FLAT

    public static final int IL_DOOM_FLAT

See Also:
  Constant Field Values

### IL_ICO

    public static final int IL_ICO

See Also:
  Constant Field Values

### IL_JPG

    public static final int IL_JPG

See Also:
  Constant Field Values

### IL_LBM

    public static final int IL_LBM

See Also:
  Constant Field Values

### IL_PCD

    public static final int IL_PCD

See Also:
  Constant Field Values

### IL_PCX

    public static final int IL_PCX

See Also:
  Constant Field Values

### IL_PIC

    public static final int IL_PIC

See Also:
  Constant Field Values

### IL_PNG

    public static final int IL_PNG

See Also:
  Constant Field Values

### IL_PNM

    public static final int IL_PNM

See Also:
  Constant Field Values

### IL_SGI

    public static final int IL_SGI

See Also:
  Constant Field Values

### IL_TGA

    public static final int IL_TGA

See Also:
  Constant Field Values

### IL_TIF

    public static final int IL_TIF

See Also:
  Constant Field Values

### IL_CHEAD

    public static final int IL_CHEAD

See Also:
  Constant Field Values

### IL_RAW

    public static final int IL_RAW

See Also:
  Constant Field Values

### IL_MDL

    public static final int IL_MDL

See Also:
  Constant Field Values

### IL_WAL

    public static final int IL_WAL

See Also:
  Constant Field Values

### IL_OIL

    public static final int IL_OIL

See Also:
  Constant Field Values

### IL_LIF

    public static final int IL_LIF

See Also:
  Constant Field Values

### IL_MNG

    public static final int IL_MNG

See Also:
  Constant Field Values

### IL_JNG

    public static final int IL_JNG

See Also:
  Constant Field Values

### IL_GIF

    public static final int IL_GIF

See Also:
  Constant Field Values

### IL_DDS

    public static final int IL_DDS

See Also:
  Constant Field Values

### IL_DCX

    public static final int IL_DCX

See Also:
  Constant Field Values

### IL_PSD

    public static final int IL_PSD

See Also:
  Constant Field Values

### IL_EXIF

    public static final int IL_EXIF

See Also:
  Constant Field Values

### IL_PSP

    public static final int IL_PSP

See Also:
  Constant Field Values

### IL_PIX

    public static final int IL_PIX

See Also:
  Constant Field Values

### IL_PXR

    public static final int IL_PXR

See Also:
  Constant Field Values

### IL_XPM

    public static final int IL_XPM

See Also:
  Constant Field Values

### IL_JASC_PAL

    public static final int IL_JASC_PAL

See Also:
  Constant Field Values

### IL_NO_ERROR

    public static final int IL_NO_ERROR

See Also:
  Constant Field Values

### IL_INVALID_ENUM

    public static final int IL_INVALID_ENUM

See Also:
  Constant Field Values

### IL_OUT_OF_MEMORY

    public static final int IL_OUT_OF_MEMORY

See Also:
  Constant Field Values

### IL_FORMAT_NOT_SUPPORTED

    public static final int IL_FORMAT_NOT_SUPPORTED

See Also:
  Constant Field Values

### IL_INTERNAL_ERROR

    public static final int IL_INTERNAL_ERROR

See Also:
  Constant Field Values

### IL_INVALID_VALUE

    public static final int IL_INVALID_VALUE

See Also:
  Constant Field Values

### IL_ILLEGAL_OPERATION

    public static final int IL_ILLEGAL_OPERATION

See Also:
  Constant Field Values

### IL_ILLEGAL_FILE_VALUE

    public static final int IL_ILLEGAL_FILE_VALUE

See Also:
  Constant Field Values

### IL_INVALID_FILE_HEADER

    public static final int IL_INVALID_FILE_HEADER

See Also:
  Constant Field Values

### IL_INVALID_PARAM

    public static final int IL_INVALID_PARAM

See Also:
  Constant Field Values

### IL_COULD_NOT_OPEN_FILE

    public static final int IL_COULD_NOT_OPEN_FILE

See Also:
  Constant Field Values

### IL_INVALID_EXTENSION

    public static final int IL_INVALID_EXTENSION

See Also:
  Constant Field Values

### IL_FILE_ALREADY_EXISTS

    public static final int IL_FILE_ALREADY_EXISTS

See Also:
  Constant Field Values

### IL_OUT_FORMAT_SAME

    public static final int IL_OUT_FORMAT_SAME

See Also:
  Constant Field Values

### IL_STACK_OVERFLOW

    public static final int IL_STACK_OVERFLOW

See Also:
  Constant Field Values

### IL_STACK_UNDERFLOW

    public static final int IL_STACK_UNDERFLOW

See Also:
  Constant Field Values

### IL_INVALID_CONVERSION

    public static final int IL_INVALID_CONVERSION

See Also:
  Constant Field Values

### IL_BAD_DIMENSIONS

    public static final int IL_BAD_DIMENSIONS

See Also:
  Constant Field Values

### IL_FILE_READ_ERROR

    public static final int IL_FILE_READ_ERROR

See Also:
  Constant Field Values

### IL_LIB_GIF_ERROR

    public static final int IL_LIB_GIF_ERROR

See Also:
  Constant Field Values

### IL_LIB_JPEG_ERROR

    public static final int IL_LIB_JPEG_ERROR

See Also:
  Constant Field Values

### IL_LIB_PNG_ERROR

    public static final int IL_LIB_PNG_ERROR

See Also:
  Constant Field Values

### IL_LIB_TIFF_ERROR

    public static final int IL_LIB_TIFF_ERROR

See Also:
  Constant Field Values

### IL_LIB_MNG_ERROR

    public static final int IL_LIB_MNG_ERROR

See Also:
  Constant Field Values

### IL_UNKNOWN_ERROR

    public static final int IL_UNKNOWN_ERROR

See Also:
  Constant Field Values

### IL_ORIGIN_SET

    public static final int IL_ORIGIN_SET

See Also:
  Constant Field Values

### IL_ORIGIN_LOWER_LEFT

    public static final int IL_ORIGIN_LOWER_LEFT

See Also:
  Constant Field Values

### IL_ORIGIN_UPPER_LEFT

    public static final int IL_ORIGIN_UPPER_LEFT

See Also:
  Constant Field Values

### IL_ORIGIN_MODE

    public static final int IL_ORIGIN_MODE

See Also:
  Constant Field Values

### IL_FORMAT_SET

    public static final int IL_FORMAT_SET

See Also:
  Constant Field Values

### IL_FORMAT_MODE

    public static final int IL_FORMAT_MODE

See Also:
  Constant Field Values

### IL_TYPE_SET

    public static final int IL_TYPE_SET

See Also:
  Constant Field Values

### IL_TYPE_MODE

    public static final int IL_TYPE_MODE

See Also:
  Constant Field Values

### IL_FILE_OVERWRITE

    public static final int IL_FILE_OVERWRITE

See Also:
  Constant Field Values

### IL_FILE_MODE

    public static final int IL_FILE_MODE

See Also:
  Constant Field Values

### IL_CONV_PAL

    public static final int IL_CONV_PAL

See Also:
  Constant Field Values

### IL_DEFAULT_ON_FAIL

    public static final int IL_DEFAULT_ON_FAIL

See Also:
  Constant Field Values

### IL_USE_KEY_COLOUR

    public static final int IL_USE_KEY_COLOUR

See Also:
  Constant Field Values

### IL_USE_KEY_COLOR

    public static final int IL_USE_KEY_COLOR

See Also:
  Constant Field Values

### IL_SAVE_INTERLACED

    public static final int IL_SAVE_INTERLACED

See Also:
  Constant Field Values

### IL_INTERLACE_MODE

    public static final int IL_INTERLACE_MODE

See Also:
  Constant Field Values

### IL_QUANTIZATION_MODE

    public static final int IL_QUANTIZATION_MODE

See Also:
  Constant Field Values

### IL_WU_QUANT

    public static final int IL_WU_QUANT

See Also:
  Constant Field Values

### IL_NEU_QUANT

    public static final int IL_NEU_QUANT

See Also:
  Constant Field Values

### IL_NEU_QUANT_SAMPLE

    public static final int IL_NEU_QUANT_SAMPLE

See Also:
  Constant Field Values

### IL_FASTEST

    public static final int IL_FASTEST

See Also:
  Constant Field Values

### IL_LESS_MEM

    public static final int IL_LESS_MEM

See Also:
  Constant Field Values

### IL_DONT_CARE

    public static final int IL_DONT_CARE

See Also:
  Constant Field Values

### IL_MEM_SPEED_HINT

    public static final int IL_MEM_SPEED_HINT

See Also:
  Constant Field Values

### IL_USE_COMPRESSION

    public static final int IL_USE_COMPRESSION

See Also:
  Constant Field Values

### IL_NO_COMPRESSION

    public static final int IL_NO_COMPRESSION

See Also:
  Constant Field Values

### IL_COMPRESSION_HINT

    public static final int IL_COMPRESSION_HINT

See Also:
  Constant Field Values

### IL_SUB_NEXT

    public static final int IL_SUB_NEXT

See Also:
  Constant Field Values

### IL_SUB_MIPMAP

    public static final int IL_SUB_MIPMAP

See Also:
  Constant Field Values

### IL_SUB_LAYER

    public static final int IL_SUB_LAYER

See Also:
  Constant Field Values

### IL_COMPRESS_MODE

    public static final int IL_COMPRESS_MODE

See Also:
  Constant Field Values

### IL_COMPRESS_NONE

    public static final int IL_COMPRESS_NONE

See Also:
  Constant Field Values

### IL_COMPRESS_RLE

    public static final int IL_COMPRESS_RLE

See Also:
  Constant Field Values

### IL_COMPRESS_LZO

    public static final int IL_COMPRESS_LZO

See Also:
  Constant Field Values

### IL_COMPRESS_ZLIB

    public static final int IL_COMPRESS_ZLIB

See Also:
  Constant Field Values

### IL_TGA_CREATE_STAMP

    public static final int IL_TGA_CREATE_STAMP

See Also:
  Constant Field Values

### IL_JPG_QUALITY

    public static final int IL_JPG_QUALITY

See Also:
  Constant Field Values

### IL_PNG_INTERLACE

    public static final int IL_PNG_INTERLACE

See Also:
  Constant Field Values

### IL_TGA_RLE

    public static final int IL_TGA_RLE

See Also:
  Constant Field Values

### IL_BMP_RLE

    public static final int IL_BMP_RLE

See Also:
  Constant Field Values

### IL_SGI_RLE

    public static final int IL_SGI_RLE

See Also:
  Constant Field Values

### IL_TGA_ID_STRING

    public static final int IL_TGA_ID_STRING

See Also:
  Constant Field Values

### IL_TGA_AUTHNAME_STRING

    public static final int IL_TGA_AUTHNAME_STRING

See Also:
  Constant Field Values

### IL_TGA_AUTHCOMMENT_STRING

    public static final int IL_TGA_AUTHCOMMENT_STRING

See Also:
  Constant Field Values

### IL_PNG_AUTHNAME_STRING

    public static final int IL_PNG_AUTHNAME_STRING

See Also:
  Constant Field Values

### IL_PNG_TITLE_STRING

    public static final int IL_PNG_TITLE_STRING

See Also:
  Constant Field Values

### IL_PNG_DESCRIPTION_STRING

    public static final int IL_PNG_DESCRIPTION_STRING

See Also:
  Constant Field Values

### IL_TIF_DESCRIPTION_STRING

    public static final int IL_TIF_DESCRIPTION_STRING

See Also:
  Constant Field Values

### IL_TIF_HOSTCOMPUTER_STRING

    public static final int IL_TIF_HOSTCOMPUTER_STRING

See Also:
  Constant Field Values

### IL_TIF_DOCUMENTNAME_STRING

    public static final int IL_TIF_DOCUMENTNAME_STRING

See Also:
  Constant Field Values

### IL_TIF_AUTHNAME_STRING

    public static final int IL_TIF_AUTHNAME_STRING

See Also:
  Constant Field Values

### IL_JPG_SAVE_FORMAT

    public static final int IL_JPG_SAVE_FORMAT

See Also:
  Constant Field Values

### IL_CHEAD_HEADER_STRING

    public static final int IL_CHEAD_HEADER_STRING

See Also:
  Constant Field Values

### IL_PCD_PICNUM

    public static final int IL_PCD_PICNUM

See Also:
  Constant Field Values

### IL_DXTC_FORMAT

    public static final int IL_DXTC_FORMAT

See Also:
  Constant Field Values

### IL_DXT1

    public static final int IL_DXT1

See Also:
  Constant Field Values

### IL_DXT2

    public static final int IL_DXT2

See Also:
  Constant Field Values

### IL_DXT3

    public static final int IL_DXT3

See Also:
  Constant Field Values

### IL_DXT4

    public static final int IL_DXT4

See Also:
  Constant Field Values

### IL_DXT5

    public static final int IL_DXT5

See Also:
  Constant Field Values

### IL_DXT_NO_COMP

    public static final int IL_DXT_NO_COMP

See Also:
  Constant Field Values

### IL_KEEP_DXTC_DATA

    public static final int IL_KEEP_DXTC_DATA

See Also:
  Constant Field Values

### IL_DXTC_DATA_FORMAT

    public static final int IL_DXTC_DATA_FORMAT

See Also:
  Constant Field Values

### IL_CUBEMAP_POSITIVEX

    public static final int IL_CUBEMAP_POSITIVEX

See Also:
  Constant Field Values

### IL_CUBEMAP_NEGATIVEX

    public static final int IL_CUBEMAP_NEGATIVEX

See Also:
  Constant Field Values

### IL_CUBEMAP_POSITIVEY

    public static final int IL_CUBEMAP_POSITIVEY

See Also:
  Constant Field Values

### IL_CUBEMAP_NEGATIVEY

    public static final int IL_CUBEMAP_NEGATIVEY

See Also:
  Constant Field Values

### IL_CUBEMAP_POSITIVEZ

    public static final int IL_CUBEMAP_POSITIVEZ

See Also:
  Constant Field Values

### IL_CUBEMAP_NEGATIVEZ

    public static final int IL_CUBEMAP_NEGATIVEZ

See Also:
  Constant Field Values

### IL_VERSION_NUM

    public static final int IL_VERSION_NUM

See Also:
  Constant Field Values

### IL_IMAGE_WIDTH

    public static final int IL_IMAGE_WIDTH

See Also:
  Constant Field Values

### IL_IMAGE_HEIGHT

    public static final int IL_IMAGE_HEIGHT

See Also:
  Constant Field Values

### IL_IMAGE_DEPTH

    public static final int IL_IMAGE_DEPTH

See Also:
  Constant Field Values

### IL_IMAGE_SIZE_OF_DATA

    public static final int IL_IMAGE_SIZE_OF_DATA

See Also:
  Constant Field Values

### IL_IMAGE_BPP

    public static final int IL_IMAGE_BPP

See Also:
  Constant Field Values

### IL_IMAGE_BYTES_PER_PIXEL

    public static final int IL_IMAGE_BYTES_PER_PIXEL

See Also:
  Constant Field Values

### IL_IMAGE_BITS_PER_PIXEL

    public static final int IL_IMAGE_BITS_PER_PIXEL

See Also:
  Constant Field Values

### IL_IMAGE_FORMAT

    public static final int IL_IMAGE_FORMAT

See Also:
  Constant Field Values

### IL_IMAGE_TYPE

    public static final int IL_IMAGE_TYPE

See Also:
  Constant Field Values

### IL_PALETTE_TYPE

    public static final int IL_PALETTE_TYPE

See Also:
  Constant Field Values

### IL_PALETTE_SIZE

    public static final int IL_PALETTE_SIZE

See Also:
  Constant Field Values

### IL_PALETTE_BPP

    public static final int IL_PALETTE_BPP

See Also:
  Constant Field Values

### IL_PALETTE_NUM_COLS

    public static final int IL_PALETTE_NUM_COLS

See Also:
  Constant Field Values

### IL_PALETTE_BASE_TYPE

    public static final int IL_PALETTE_BASE_TYPE

See Also:
  Constant Field Values

### IL_NUM_IMAGES

    public static final int IL_NUM_IMAGES

See Also:
  Constant Field Values

### IL_NUM_MIPMAPS

    public static final int IL_NUM_MIPMAPS

See Also:
  Constant Field Values

### IL_NUM_LAYERS

    public static final int IL_NUM_LAYERS

See Also:
  Constant Field Values

### IL_ACTIVE_IMAGE

    public static final int IL_ACTIVE_IMAGE

See Also:
  Constant Field Values

### IL_ACTIVE_MIPMAP

    public static final int IL_ACTIVE_MIPMAP

See Also:
  Constant Field Values

### IL_ACTIVE_LAYER

    public static final int IL_ACTIVE_LAYER

See Also:
  Constant Field Values

### IL_CUR_IMAGE

    public static final int IL_CUR_IMAGE

See Also:
  Constant Field Values

### IL_IMAGE_DURATION

    public static final int IL_IMAGE_DURATION

See Also:
  Constant Field Values

### IL_IMAGE_PLANESIZE

    public static final int IL_IMAGE_PLANESIZE

See Also:
  Constant Field Values

### IL_IMAGE_BPC

    public static final int IL_IMAGE_BPC

See Also:
  Constant Field Values

### IL_IMAGE_OFFX

    public static final int IL_IMAGE_OFFX

See Also:
  Constant Field Values

### IL_IMAGE_OFFY

    public static final int IL_IMAGE_OFFY

See Also:
  Constant Field Values

### IL_IMAGE_CUBEFLAGS

    public static final int IL_IMAGE_CUBEFLAGS

See Also:
  Constant Field Values

### IL_SEEK_SET

    public static final int IL_SEEK_SET

See Also:
  Constant Field Values

### IL_SEEK_CUR

    public static final int IL_SEEK_CUR

See Also:
  Constant Field Values

### IL_SEEK_END

    public static final int IL_SEEK_END

See Also:
  Constant Field Values

### IL_EOF

    public static final int IL_EOF

See Also:
  Constant Field Values

### created

    protected static boolean created

  Have we been created?

Constructor Detail

### IL

    public IL()

Method Detail

### getVersion

    public static java.lang.String getVersion()

  Return the version of the DevIL-LWJGL binding as a String.

### ilActiveImage

    public static boolean ilActiveImage(int Number)

### ilActiveLayer

    public static boolean ilActiveLayer(int Number)

### ilActiveMipmap

    public static boolean ilActiveMipmap(int Number)

### ilApplyPal

    public static boolean ilApplyPal(java.lang.String FileName)

### ilApplyProfile

    public static boolean ilApplyProfile(java.lang.String InProfile,
                                         java.lang.String OutProfile)

### ilBindImage

    public static void ilBindImage(int image)

### ilBlit

    public static boolean ilBlit(int Source,
                                 int DestX,
                                 int DestY,
                                 int DestZ,
                                 int SrcX,
                                 int SrcY,
                                 int SrcZ,
                                 int Width,
                                 int Height,
                                 int Depth)

### ilClearColour

    public static void ilClearColour(float Red,
                                     float Green,
                                     float Blue,
                                     float Alpha)

### ilClearImage

    public static boolean ilClearImage()

### ilCloneCurImage

    public static int ilCloneCurImage()

### ilCompressFunc

    public static boolean ilCompressFunc(int Mode)

### ilConvertImage

    public static boolean ilConvertImage(int DestFormat,
                                         int DestType)

### ilConvertPal

    public static boolean ilConvertPal(int DestFormat)

### ilCopyImage

    public static boolean ilCopyImage(int Src)

### ilCopyPixels

    public static int ilCopyPixels(int XOff,
                                   int YOff,
                                   int ZOff,
                                   int Width,
                                   int Height,
                                   int Depth,
                                   int Format,
                                   int Type,
                                   java.nio.ByteBuffer Data)

### ilCreateSubImage

    public static int ilCreateSubImage(int Type,
                                       int Num)

### ilDefaultImage

    public static boolean ilDefaultImage()

### ilDeleteImages

    public static void ilDeleteImages(java.nio.IntBuffer images)

### ilDisable

    public static boolean ilDisable(int Mode)

### ilEnable

    public static boolean ilEnable(int Mode)

### ilFormatFunc

    public static boolean ilFormatFunc(int Mode)

### ilGenImages

    public static void ilGenImages(java.nio.IntBuffer images)

### ilGetAlpha

    public static java.nio.ByteBuffer ilGetAlpha(int Type)

### ilModAlpha

    public static void ilModAlpha(int AlphaValue)

### ilSetAlpha

    public static void ilSetAlpha(int AlphaValue)

### ilGetBoolean

    public static boolean ilGetBoolean(int Mode)

### ilGetBooleanv

    public static void ilGetBooleanv(int mode,
                                     java.nio.ByteBuffer param)

### ilGetIntegerv

    public static void ilGetIntegerv(int mode,
                                     java.nio.IntBuffer param)

### ilGetData

    public static java.nio.ByteBuffer ilGetData()

### ilGetError

    public static int ilGetError()

### ilGetInteger

    public static int ilGetInteger(int mode)

### ilGetLumpPos

    public static int ilGetLumpPos()

### ilGetPalette

    public static java.nio.ByteBuffer ilGetPalette()

### ilGetString

    public static java.lang.String ilGetString(int StringName)

### ilHint

    public static void ilHint(int Target,
                              int Mode)

### ilIsDisabled

    public static boolean ilIsDisabled(int Mode)

### ilIsEnabled

    public static boolean ilIsEnabled(int Mode)

### ilIsImage

    public static boolean ilIsImage(int Image)

### ilIsValid

    public static boolean ilIsValid(int Type,
                                    java.lang.String FileName)

### ilIsValidL

    public static boolean ilIsValidL(int Type,
                                     java.nio.ByteBuffer Lump)

### ilKeyColour

    public static void ilKeyColour(float Red,
                                   float Green,
                                   float Blue,
                                   float Alpha)

### ilLoad

    public static boolean ilLoad(int Type,
                                 java.lang.String FileName)

### ilLoadImage

    public static boolean ilLoadImage(java.lang.String fileName)

### ilLoadL

    public static boolean ilLoadL(int Type,
                                  java.nio.ByteBuffer Lump)

### ilLoadPal

    public static boolean ilLoadPal(java.lang.String FileName)

### ilOriginFunc

    public static boolean ilOriginFunc(int Mode)

### ilOverlayImage

    public static boolean ilOverlayImage(int Source,
                                         int XCoord,
                                         int YCoord,
                                         int ZCoord)

### ilPopAttrib

    public static void ilPopAttrib()

### ilPushAttrib

    public static void ilPushAttrib(int Bits)

### ilRemoveLoad

    public static boolean ilRemoveLoad(java.lang.String Ext)

### ilRemoveSave

    public static boolean ilRemoveSave(java.lang.String Ext)

### ilResetMemory

    public static void ilResetMemory()

### ilResetRead

    public static void ilResetRead()

### ilResetWrite

    public static void ilResetWrite()

### ilSave

    public static boolean ilSave(int Type,
                                 java.lang.String FileName)

### ilSaveImage

    public static boolean ilSaveImage(java.lang.String FileName)

### ilSaveL

    public static int ilSaveL(int Type,
                              java.nio.ByteBuffer Lump)

### ilSavePal

    public static boolean ilSavePal(java.lang.String FileName)

### ilSetData

    public static boolean ilSetData(java.nio.ByteBuffer Data)

### ilSetDuration

    public static boolean ilSetDuration(int Duration)

### ilSetInteger

    public static void ilSetInteger(int Mode,
                                    int Param)

### ilSetPixels

    public static void ilSetPixels(int XOff,
                                   int YOff,
                                   int ZOff,
                                   int Width,
                                   int Height,
                                   int Depth,
                                   int Format,
                                   int Type,
                                   java.nio.ByteBuffer Data)

### ilSetString

    public static void ilSetString(int Mode,
                                   java.lang.String string)

### ilShutDown

    public static void ilShutDown()

### ilTexImage

    public static boolean ilTexImage(int Width,
                                     int Height,
                                     int Depth,
                                     byte Bpp,
                                     int Format,
                                     int Type,
                                     java.nio.ByteBuffer Data)

### ilTypeFunc

    public static boolean ilTypeFunc(int Mode)

### ilLoadData

    public static boolean ilLoadData(java.lang.String FileName,
                                     int Width,
                                     int Height,
                                     int Depth,
                                     byte Bpp)

### ilLoadDataL

    public static boolean ilLoadDataL(java.nio.ByteBuffer Lump,
                                      int Size,
                                      int Width,
                                      int Height,
                                      int Depth,
                                      byte Bpp)

### ilSaveData

    public static boolean ilSaveData(java.lang.String FileName)

### ilGetType

    public static int ilGetType(java.lang.String extension)

  Determines the IL type for file passed

  Parameters:
    `filename` - File to determine type for
  Returns:
    IL type, or IL_TYPE_UNKNOWN if undeterminable

### ilLoadFromURL

    public static boolean ilLoadFromURL(java.net.URL url)
                                 throws java.io.IOException

  Loads an image from the specified url

  Parameters:
    `url` - URL to load from
  Returns:
    true if image was loaded
  Throws:
    `java.io.IOException`

### ilLoadFromStream

    public static boolean ilLoadFromStream(java.io.InputStream stream,
                                           int type)
                                    throws java.io.IOException

  Reads an image from an inputstream

  Parameters:
    `stream` - Stream to read from
    `type` - Type of image to expect
  Returns:
    true if image was loaded
  Throws:
    `java.io.IOException`

### create

    public static void create()
                       throws LWJGLException

  Creates a new instance of IL.

  Throws:
    `LWJGLException`

### destroy

    public static void destroy()

  Exit cleanly by calling destroy.

### isCreated

    public static boolean isCreated()

  Returns:
    true if DevIL has been created

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 lwjgl.org. All Rights Reserved.